# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

require_relative '../puppet_x/enterprisemodules/mssql/facts'
mssql_secured_fact('asymmetric_keys_in_non_system_databases', :hierarchical) { "SELECT db_name() AS Database_Name, name AS Key_Name
FROM sys.asymmetric_keys
WHERE key_length < 2048
AND db_id() > 4;"}