#
# See the file "LICENSE" for the full license governing this code.
#
#
# Get all ms sql instances
#
Facter.add(:mssql_instances) do
  confine :kernel => 'windows'
  setcode do
    output = Facter::Util::Resolution.exec('reg query "HKLM\SOFTWARE\Microsoft\Microsoft SQL Server\Instance Names\SQL"')
    instance_info = instances = output.split("\n").drop(1)
    instances = {}
    instance_info.each {|l| instances.merge!(Hash[*(l.scan(/\s*(.*?)\s+REG_SZ\s+(.*)/).first)]) }
    instances
  end
end
