#
# See the file "LICENSE" for the full license governing this code.
#
#
# Filter the list of controls based on the which database it will be applied to
#
$LOAD_PATH.unshift(File.absolute_path("#{__dir__}/../../../puppet_x/enterprisemodules/mssql"))

require 'sql'
require 'access'

Puppet::Functions.create_function('mssql_secured::not_count') do
  dispatch :not_count do
    param 'String[1]',                  :query
    param 'Integer',                    :count
  end

  def not_count(query, count)
    "DECLARE @retVal int;
    select @retVal = count(*) from (#{query}) t
    if not (@retVal= #{count}) throw 50000, 'needs changes', 10;"
  end

end
