#
# See the file "LICENSE" for the full license governing this code.
#
#
# Filter the list of controls based on the which database it will be applied to
#
$LOAD_PATH.unshift(File.absolute_path("#{__dir__}/../../../puppet_x/enterprisemodules/mssql"))

require 'sql'
require 'access'

Puppet::Functions.create_function('mssql_secured::not_exists') do
  dispatch :not_exists do
    param 'String[1]',                  :query
  end

  def not_exists(query)
    "if not exists(#{query}) throw 50000, 'needs changes', 10"
  end

end
