# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require_relative '../puppet_x/enterprisemodules/mssql/facts'
mssql_secured_fact('builtin_logins', :hierarchical) { "SELECT pr.[name], pe.[permission_name], pe.[state_desc]
FROM sys.server_principals pr
JOIN sys.server_permissions pe
ON pr.principal_id = pe.grantee_principal_id
WHERE pr.name like 'BUILTIN%';"}