# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

require_relative '../puppet_x/enterprisemodules/mssql/facts'
mssql_secured_fact('orphaned_users', :hierarchical) { 
    "SELECT dp.sid AS value  
    FROM sys.database_principals AS dp  
    LEFT JOIN sys.server_principals AS sp  
        ON dp.sid = sp.sid  
    WHERE sp.sid IS NULL  
        AND dp.authentication_type_desc = 'INSTANCE';"
}