#
# See the file "LICENSE" for the full license governing this code.
#
#
# Filter the list of controls based on the which database it will be applied to
#
Puppet::Functions.create_function('mssql_secured::exists') do
  dispatch :exists do
    param 'String[1]',                  :query
  end

  def exists(query)
    "if exists(#{query}) throw 50000, 'needs changes', 10"
  end

end
