#
# See the file "LICENSE" for the full license governing this code.
#
require 'pathname'

$LOAD_PATH.unshift(File.absolute_path("#{__dir__}/../../"))
$LOAD_PATH.unshift(File.absolute_path("#{__dir__}/../../../../easy_type/lib"))

require 'easy_type'

Puppet::Type.newtype(:mssql_secured_setup) do
  include EasyType

  desc <<-EOD
    Start the setup for applying MS SQL Server secure classes.
  EOD

  ensurable

  to_get_raw_resources do
    []
  end

  on_create do
  end

  on_modify do
  end

  on_destroy do
  end

  parameter :control_name
end
